# -*- coding: utf-8 -*-

import os

from bottle import Bottle, request, static_file, HTTPResponse, redirect

if __name__ == '__main__':

    app = Bottle()

    @app.route('/', 'GET')
    def index():
        return static_file('index.html')

    @app.route('/api/ls', 'GET')
    def ls():
        return {root: files for root, dirs, files in os.walk('.')}

    app.run()